org.icefaces.ace.component.menu

## Class BaseMenuRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.menu.BaseMenuRenderer

- Direct Known Subclasses:
    BreadcrumbMenuRenderer, ContextMenuRenderer, MenuBarRenderer, MenuButtonRenderer, MenuRenderer

      public abstract class BaseMenuRenderer
      extends CoreRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMenuRenderer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.ArrayList<java.util.ArrayList<javax.faces.component.UIComponent>>` | `divideColumn(MenuColumn menuColumn)`
    `void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeFlatSubmenu(javax.faces.context.FacesContext context, Submenu submenu, boolean disabled)`
    `protected abstract void` | `encodeMarkup(javax.faces.context.FacesContext context, AbstractMenu abstractMenu)`
    `protected void` | `encodeMenuItem(javax.faces.context.FacesContext context, MenuItem menuItem)`
    `protected void` | `encodeMenuItem(javax.faces.context.FacesContext context, MenuItem menuItem, boolean disabledParent)`
    `protected void` | `encodeMenuSeparator(javax.faces.context.FacesContext context)`
    `protected void` | `encodeMultiColumnSubmenu(javax.faces.context.FacesContext context, MultiColumnSubmenu submenu)`
    `static void` | `encodeParentAndChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent parent)`
    `protected abstract void` | `encodeScript(javax.faces.context.FacesContext context, AbstractMenu abstractMenu)`
    `protected java.util.ArrayList<javax.faces.component.UIComponent>` | `flattenContents(javax.faces.component.UIComponent component, java.util.ArrayList<javax.faces.component.UIComponent> result)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `decode, encodeBegin, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseMenuRenderer

          public BaseMenuRenderer()

  - ### Method Detail

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeMarkup

          protected abstract void encodeMarkup(javax.faces.context.FacesContext context,
                                               AbstractMenu abstractMenu)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeScript

          protected abstract void encodeScript(javax.faces.context.FacesContext context,
                                               AbstractMenu abstractMenu)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeMenuItem

          protected void encodeMenuItem(javax.faces.context.FacesContext context,
                                        MenuItem menuItem)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeMenuItem

          protected void encodeMenuItem(javax.faces.context.FacesContext context,
                                        MenuItem menuItem,
                                        boolean disabledParent)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeMenuSeparator

          protected void encodeMenuSeparator(javax.faces.context.FacesContext context)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### encodeMultiColumnSubmenu

          protected void encodeMultiColumnSubmenu(javax.faces.context.FacesContext context,
                                                  MultiColumnSubmenu submenu)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeFlatSubmenu

          protected void encodeFlatSubmenu(javax.faces.context.FacesContext context,
                                           Submenu submenu,
                                           boolean disabled)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### divideColumn

          protected java.util.ArrayList<java.util.ArrayList<javax.faces.component.UIComponent>> divideColumn(MenuColumn menuColumn)

    - #### flattenContents

          protected java.util.ArrayList<javax.faces.component.UIComponent> flattenContents(javax.faces.component.UIComponent component,
                                                                                           java.util.ArrayList<javax.faces.component.UIComponent> result)

    - #### encodeParentAndChildren

          public static void encodeParentAndChildren(javax.faces.context.FacesContext facesContext,
                                                     javax.faces.component.UIComponent parent)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.